/*
 * Class COLLECTION [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2057 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2057 [] = {0xFF01,1551,2056,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2057 [] = {0xFF01,2056,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2057 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2057 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2057 [] = {0xFF01,2056,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2057 [] = {0xFF01,2056,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2057 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2057 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2057 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2057 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2057 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2057 [] = {2056,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2057 [] = {0xFF01,2056,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2057 [] = {0xFF01,2050,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2057 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2057[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2057), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2057), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2057), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2057), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2057), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2057), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2057), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2057), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2057), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2057), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2057), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2057), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2057), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2057), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8664, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8667, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2057), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2057), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9048, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9049, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9050, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init2057(void)
{
	IDSC(desc_2057, 0, 2056);
	IDSC(desc_2057 + 1, 1, 2056);
	IDSC(desc_2057 + 32, 1134, 2056);
	IDSC(desc_2057 + 41, 1135, 2056);
}


#ifdef __cplusplus
}
#endif
